<?php 
error_reporting(0);
ini_set(“display_errors”, 0 );
include "protege_professor.php";

// if(isset($_FILES) && !empty($_FILES)){
// 	echo "<pre>";
// 	print_r($_FILES);
// 	echo "</pre>";
	
// }


    if(isset($_POST["id_anexo"])){

       include "conexao.php";


       $id_anexo = $_POST["id_anexo"];
 

       $query_excluir = "DELETE FROM empreendimento_anexo WHERE idanexo_empreendimento = $id_anexo";

       $executa_excluir = mysqli_query($db, $query_excluir);
  
   }else{


   //Criacao da pasta dinamicamente


    $id_empreendimento = $_GET["id_empreendimento"];

    date_default_timezone_set('America/Sao_Paulo');


    $data_atual = date("YmdHis"); 
    




   $pastaEmpreendimento = "anexo_empreendimentos/".$id_empreendimento."/";

        	if(!file_exists($pastaEmpreendimento)){
        		mkdir($pastaEmpreendimento);
          }


   $pasta = "anexo_empreendimentos/".$id_empreendimento."/".$data_atual."/";

          if(!file_exists($pasta)){
            mkdir($pasta);
    }



   $tmp_name = $_FILES["file"]["tmp_name"];

   $filename =  $_FILES["file"]["name"];

   $destination = $pasta . $filename;

   $mover = move_uploaded_file ($tmp_name ,$destination );



   include "conexao.php";


   $executa_query = mysqli_query($db, "INSERT INTO empreendimento_anexo (empreendimentocadastro_id, url_anexo) VALUES('$id_empreendimento' , '$destination')");

   $a = "abc";

   echo json_encode($a);

 


   }












  


  


























?>